Get roles for a Security project
- Base URL
-
https://api.elastic-cloud.com
-
GET
/api/v1/serverless/projects/security/{id}/roles
Auth
Retrieve the custom roles defined for a Security project.
-
id
string · pattern: ^[a-z0-9]{32}$
required
-
The ID of the project
-
<string>
object
-
-
roles
object[]
-
-
name
string
required
-
A role name for a particular project
-
description
string
required
-
A role description for a particular role
-
errors
object[]
required
-
-
message
string
required
-
A human-readable message of the error.
-
code
string
required
-
An identifier for this type of error.